Vagrant.configure("2") do |config|
  config.vm.box = "bento/centos-7"
  config.vm.provider "virtualbox" do |vb|
    vb.memory = 2048
    vb.cpus = 2
  end
  config.vm.provision "shell", privileged: false, inline: <<-SHELL
    sudo yum -y groupinstall "Development Tools"
    sudo yum -y install gmp-devel
    mkdir -p /home/vagrant/.cabal/bin /home/vagrant/.ghcup/bin /home/vagrant/.local/bin
    echo "export PATH=/home/vagrant/.cabal/bin:/home/vagrant/.ghcup/bin:$PATH" >> /home/vagrant/.bashrc
    source /home/vagrant/.bashrc
    mkdir -p .vagrant-downloads
    cd .vagrant-downloads
    wget -nc -c https://downloads.haskell.org/~ghcup/x86_64-linux-ghcup
    mv x86_64-linux-ghcup /home/vagrant/.local/bin/ghcup
    chmod u+x /home/vagrant/.local/bin/ghcup
    cd
    ghcup install ghc 8.10.2
    ghcup set ghc 8.10.2
    ghcup install cabal
    cabal update
    cabal install alex happy
    exit
  SHELL
end
